function solvers = solvers_mmv
% SOLVERS_MMV   Returns a cell array of solvers.
%
%    SOLVERS = SOLVERS_MMV returns a cell array SOLVERS with one solver
%    per row. Each column contains the following entries
%      * Solver name
%      * Function handle (A,b,sigma,lambdas,options)
%      * Explicit flag, set when method requires explicit matrix
%      * Lambda flag, set when method works with penalized formulation.

% October 5, 2009: Ewout van den Berg

% ----------------------------------------------------------
%                                  R e q u i r e m e n t s
%          Solver      Function       Explicit   Lambda
% ----------------------------------------------------------
solvers = {'CVX',      @mmv_cvx,     true,      false; ...
           'SPGL1',    @mmv_spgl1,   false,     false; ...
           'SPG',      @mmv_spg,     false,     false; ...
           'PQN',      @mmv_pqn,     false,     false; ...
           'Sparsa',   @mmv_sparsa,  false,     true; ...
           'Fista',    @mmv_fista,   false,     true};

