function solvers = solvers_nonneg
% SOLVERS_NONNEG   Returns a cell array of solvers.
%
%    SOLVERS = SOLVERS_NONNEG returns a cell array SOLVERS with one solver
%    per row. Each column contains the following entries
%      * Solver name
%      * Function handle (A,b,sigma,lambdas,options)
%      * Explicit flag, set when method requires explicit matrix, when set
%        to a number it indicates the maximum size of implicit matrices that
%        are allowed to be converted to explicit matrices.
%      * Lambda flag, set when method works with penalized formulation.

% October 7, 2009: Ewout van den Berg

% ---------------------------------------------------------------------------------------
%                                          R e q u i r e m e n t s
%          Solver      Function       Explicit   Orthonormal   Lambda   Complex
% ---------------------------------------------------------------------------------------
solvers = {'CVX',      @nonneg_cvx,     2.1e6,     false,      false,   true; ...
           'SPGL1',    @nonneg_spgl1,   false,     false,      false,   true; ...
           'PQN',      @nonneg_pqn,     false,     false,      false,   true; ...
           'SPG',      @nonneg_spg,     false,     false,      false,   true; ...
           'Fista',    @nonneg_fista,   false,     false,      true,    true};

