function solvers = solvers_nucnorm
% SOLVERS_NUCNORM   Returns a cell array of solvers.
%
%    SOLVERS = SOLVERS_NUCNORM returns a cell array SOLVERS with one
%    solver per row. Each column contains the following entries
%      * Solver name
%      * Function handle (A,b,sigma,lambdas,options)
%      * Lambda flag, set when method works with penalized formulation.
%      * Simga flag, set when the method accepts sigma

% October 7, 2009: Ewout van den Berg

% ------------------------------------------------------------
%                                     
%          Solver      Function       Noisy   Noiseless
% ------------------------------------------------------------
solvers = {'CVX',      @nucnorm_cvx,   true,    true; ...
           'FPCA',     @nucnorm_fpca,  true,    true; ...
           'SVT',      @nucnorm_svt,   false,   true; ...
           'FPC',      @nucnorm_fpc,   false,   true; ...
           'SPGL1',    @nucnorm_spgl1, true,    true ; ...
           'PQN',      @nucnorm_pqn,   true,    true ; ...
           'SPG',      @nucnorm_spg,   true,    true ; ...
           'Fista',    @nucnorm_fista, true,    false};

